Alouit.fr

Menu

Mise à jour Piwik: « Failed opening required ‘Log.php' »

Mise à jour Piwik: « Failed opening required ‘Log.php' »
3 (60%) 3 votes

Piwik 2.0.2 vient de sortir.

Lors de sa mise à jour, si vous possédez un serveur web un peu trop restrictif (ou très sécurisé),

Vous allez surement vous retrouver avec une erreur Apache:


[Wed Dec 25 00:00:00 2013] [error] [client xxx.xxx.xxx.xx] PHP Fatal error: require_once(): Failed opening required 'Log.php' (include_path='.:/usr/share/php:/usr/share/pear') in /var/www/piwik/core/Error.php on line 13

Pour pallier à cette erreur, il faut ajouter le répertoire « core » en basedir.

Le plus simple étant dans une directive Apache comme cela:
php_value include_path "/var/www/piwik/core/Log.php"